<?php
ini_set('display_errors', 1);
error_reporting(E_ALL);
session_start();
require 'verifica_cookie.php';
require 'conexao.php';

$pdo        = Conexao::getInstance();
$pessoas    = (isset($_POST['pessoas'])) ? $_POST['pessoas'] : '0' ;
$homem      = (isset($_POST['homem'])) ? $_POST['homem'] : '0' ;
$mulher     = (isset($_POST['mulher'])) ? $_POST['mulher'] : '0' ;
$venda      = (isset($_POST['venda'])) ? $_POST['venda'] : '' ;
$contErro    = 0;

if (empty($venda)):
	$contErro += 1;
endif;

if ($contErro):
	 $output = json_encode(array('status'=>'0', 'text' => 'Existem campos vazios!'));
     die($output);
endif;

$sql = "UPDATE venda SET nro_pessoas = '{$pessoas}', nro_couvert_m = '{$homem}', nro_couvert_f = '{$mulher}' ";
$sql .= "WHERE ven_001 = :venda";
$stm = $pdo->prepare($sql);
$stm->bindValue(':venda', $venda);
$retorno = $stm->execute();

if ($retorno):
	echo json_encode(array('status'=>'1', 'text' => 'Gravado com sucesso'));
else:
	echo json_encode(array('status'=>'0', 'text' => 'Erro ao gravar dados!'));
endif;